package com.yonge.cooleshow.auth.service.impl;

import com.yonge.cooleshow.auth.api.entity.SysConfig;
import com.yonge.cooleshow.auth.dal.dao.SysConfigDao;
import com.yonge.cooleshow.auth.service.SysConfigService;
import com.yonge.toolset.mybatis.dal.BaseDAO;
import com.yonge.toolset.mybatis.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SysConfigServiceImpl extends BaseServiceImpl<Long, SysConfig> implements SysConfigService {

	@Autowired
	private SysConfigDao sysConfigDao;

	@Override
	public BaseDAO<Long, SysConfig> getDAO() {
		return sysConfigDao;
	}

	@Override
	public SysConfig findByParamName(String paramName) {
		return sysConfigDao.findByParamName(paramName);
	}

    @Override
    public String findConfigValue(String paramName){
        return sysConfigDao.findConfigValue(paramName);
    }


}
